package de.naturzukunft.rdf4j.vocabulary;

import org.eclipse.rdf4j.model.IRI;
import org.eclipse.rdf4j.model.Namespace;
import org.eclipse.rdf4j.model.ValueFactory;
import org.eclipse.rdf4j.model.impl.SimpleNamespace;
import org.eclipse.rdf4j.model.impl.SimpleValueFactory;

public class AS {
				
		public static final String PREFIX = "as";
		public static final String NAMESPACE = "https://www.w3.org/ns/activitystreams#";
		public static final String NAMESPACE_LDP = "http://www.w3.org/ns/ldp#";
		public static final String OBJECT_STRING = NAMESPACE + "object";
		public static final String INSTRUMENT_STRING = NAMESPACE + "instrument";
		public static final String ORIGIN_STRING = NAMESPACE + "origin";
		public static final String RESULT_STRING = NAMESPACE + "result";
		public static final String TARGET_STRING = NAMESPACE + "target";
		public static final String ACTOR_STRING = NAMESPACE + "actor";
		public static final String DURATION_STRING = NAMESPACE + "duration";
		public static final String MEDIA_TYPE_STRING = NAMESPACE + "mediaType";
		public static final String UPDATED_STRING = NAMESPACE + "updated";
		public static final String TAG_STRING = NAMESPACE + "tag";
		public static final String SUMMARY_STRING = NAMESPACE + "summary";
		public static final String START_TIME_STRING = NAMESPACE + "startTime";
		public static final String REPLIES_STRING = NAMESPACE + "replies";
		public static final String PUBLISHED_STRING = NAMESPACE + "published";
		public static final String PREV_STRING = NAMESPACE + "prev";
		public static final String LOCATION_STRING = NAMESPACE + "location";
		public static final String IN_REPLY_TO_STRING = NAMESPACE + "inReplyTo";
		public static final String IMAGE_STRING = NAMESPACE + "image";
		public static final String ICON_STRING = NAMESPACE + "icon";
		public static final String GENERATOR_STRING = NAMESPACE + "generator";
		public static final String END_TIME_STIRNG = NAMESPACE + "endTime";
		public static final String CONTEXT_STRING = NAMESPACE + "context";
		public static final String CONTENT_STRING = NAMESPACE + "content";
		public static final String ATTACHMENT_STRING = NAMESPACE + "attachment";
		public static final String URL_STRING = NAMESPACE + "url";
		public static final String NAME_STRING = NAMESPACE + "name";
		public static final String ATTRIBUTED_TO_STRING = NAMESPACE + "attributedTo";
		public static final String AUDIENCE_STRING = NAMESPACE + "audience";
		public static final String BCC_STRING = NAMESPACE + "bcc";
		public static final String CC_STRING = NAMESPACE + "cc";
		public static final String BTO_STRING = NAMESPACE + "bto";
		public static final String ACCEPT_STRING = NAMESPACE + "Accept";
		public static final String TO_STRING = NAMESPACE + "to";
		
		public static final Namespace NS = new SimpleNamespace(PREFIX, NAMESPACE);

		private static ValueFactory factory = SimpleValueFactory.getInstance();
		
		// ----- Classes ------
	    public static final IRI Accept = factory.createIRI(ACCEPT_STRING);
	    public static final IRI Activity = factory.createIRI(NAMESPACE + "Activity");
	    public static final IRI IntransitiveActivity = factory.createIRI(NAMESPACE + "IntransitiveActivity");
	    public static final IRI Add = factory.createIRI(NAMESPACE + "Add");
	    public static final IRI Announce = factory.createIRI(NAMESPACE + "Announce");
	    public static final IRI Application = factory.createIRI(NAMESPACE + "Application");
	    public static final IRI Arrive = factory.createIRI(NAMESPACE + "Arrive");
	    public static final IRI Article = factory.createIRI(NAMESPACE + "Article");
	    public static final IRI Audio = factory.createIRI(NAMESPACE + "Audio");
	    public static final IRI Block = factory.createIRI(NAMESPACE + "Block");
	    public static final IRI Collection = factory.createIRI(NAMESPACE + "Collection");
	    public static final IRI CollectionPage = factory.createIRI(NAMESPACE + "CollectionPage");
	    public static final IRI Relationship = factory.createIRI(NAMESPACE + "Relationship");
	    public static final IRI Create = factory.createIRI(NAMESPACE + "Create");
	    public static final IRI Delete = factory.createIRI(NAMESPACE + "Delete");
	    public static final IRI Dislike = factory.createIRI(NAMESPACE + "Dislike");
	    public static final IRI Document = factory.createIRI(NAMESPACE + "Document");
	    public static final IRI Event = factory.createIRI(NAMESPACE + "Event");
	    public static final IRI Follow = factory.createIRI(NAMESPACE + "Follow");
	    public static final IRI Flag = factory.createIRI(NAMESPACE + "Flag");
	    public static final IRI Group = factory.createIRI(NAMESPACE + "Group");
	    public static final IRI Ignore = factory.createIRI(NAMESPACE + "Ignore");
	    public static final IRI Image = factory.createIRI(NAMESPACE + "Image");
	    public static final IRI Invite = factory.createIRI(NAMESPACE + "Invite");
	    public static final IRI Join = factory.createIRI(NAMESPACE + "Join");
	    public static final IRI Leave = factory.createIRI(NAMESPACE + "Leave");
	    public static final IRI Like = factory.createIRI(NAMESPACE + "Like");
	    public static final IRI Link = factory.createIRI(NAMESPACE + "Link");
	    public static final IRI Mention = factory.createIRI(NAMESPACE + "Mention");
	    public static final IRI Note = factory.createIRI(NAMESPACE + "Note");
	    public static final IRI Object = factory.createIRI(NAMESPACE + "Object");
	    public static final IRI Offer = factory.createIRI(NAMESPACE + "Offer");
	    public static final IRI OrderedCollection = factory.createIRI(NAMESPACE + "OrderedCollection");
	    public static final IRI OrderedCollectionPage = factory.createIRI(NAMESPACE + "OrderedCollectionPage");
	    public static final IRI Organization = factory.createIRI(NAMESPACE + "Organization");
	    public static final IRI Page = factory.createIRI(NAMESPACE + "Page");
	    public static final IRI Person = factory.createIRI(NAMESPACE + "Person");
	    public static final IRI Place = factory.createIRI(NAMESPACE + "Place");
	    public static final IRI Profile = factory.createIRI(NAMESPACE + "Profile");
	    public static final IRI Public = factory.createIRI(NAMESPACE + "Public");
	    public static final IRI Question = factory.createIRI(NAMESPACE + "Question");
	    public static final IRI Reject = factory.createIRI(NAMESPACE + "Reject");
	    public static final IRI Remove = factory.createIRI(NAMESPACE + "Remove");
	    public static final IRI Service = factory.createIRI(NAMESPACE + "Service");
	    public static final IRI TentativeAccept = factory.createIRI(NAMESPACE + "TentativeAccept");
	    public static final IRI TentativeReject = factory.createIRI(NAMESPACE + "TentativeReject");
	    public static final IRI Tombstone = factory.createIRI(NAMESPACE + "Tombstone");
	    public static final IRI Undo = factory.createIRI(NAMESPACE + "Undo");
	    public static final IRI Update = factory.createIRI(NAMESPACE + "Update");
	    public static final IRI Video = factory.createIRI(NAMESPACE + "Video");
	    public static final IRI View = factory.createIRI(NAMESPACE + "View");
	    public static final IRI Listen = factory.createIRI(NAMESPACE + "Listen");
	    public static final IRI Read = factory.createIRI(NAMESPACE + "Read");
	    public static final IRI Move = factory.createIRI(NAMESPACE + "Move");
	    public static final IRI Travel = factory.createIRI(NAMESPACE + "Travel");
	    public static final IRI IsFollowing = factory.createIRI(NAMESPACE + "IsFollowing");
	    public static final IRI IsFollowedBy = factory.createIRI(NAMESPACE + "IsFollowedBy");
	    public static final IRI IsContact = factory.createIRI(NAMESPACE + "IsContact");
	    public static final IRI IsMember = factory.createIRI(NAMESPACE + "IsMember");

		// ----- Properties ------
	    public static final IRI subject = factory.createIRI(NAMESPACE + "subject");
	    public static final IRI relationship = factory.createIRI(NAMESPACE + "relationship");
	    public static final IRI actor = factory.createIRI(ACTOR_STRING);
	    public static final IRI attributedTo = factory.createIRI(ATTRIBUTED_TO_STRING);
	    public static final IRI attachment = factory.createIRI(ATTACHMENT_STRING);
	    public static final IRI attachments = factory.createIRI(NAMESPACE + "attachments");
	    public static final IRI author = factory.createIRI(NAMESPACE + "author");
	    public static final IRI bcc = factory.createIRI(BCC_STRING);
	    public static final IRI bto = factory.createIRI(BTO_STRING);
	    public static final IRI cc = factory.createIRI(CC_STRING);
	    public static final IRI context = factory.createIRI(CONTEXT_STRING);
	    public static final IRI current = factory.createIRI(NAMESPACE + "current");
	    public static final IRI first = factory.createIRI(NAMESPACE + "first");
	    public static final IRI generator = factory.createIRI(GENERATOR_STRING);
	    public static final IRI icon = factory.createIRI(ICON_STRING);
	    public static final IRI image = factory.createIRI(IMAGE_STRING);
	    public static final IRI inReplyTo = factory.createIRI(IN_REPLY_TO_STRING);
	    public static final IRI items = factory.createIRI(NAMESPACE + "items");
	    public static final IRI instrument = factory.createIRI(INSTRUMENT_STRING);
	    public static final IRI last = factory.createIRI(NAMESPACE + "last");
	    public static final IRI location = factory.createIRI(LOCATION_STRING);
	    public static final IRI next = factory.createIRI(NAMESPACE + "next");
	    public static final IRI object = factory.createIRI(OBJECT_STRING);
	    public static final IRI oneOf = factory.createIRI(NAMESPACE + "oneOf");
	    public static final IRI anyOf = factory.createIRI(NAMESPACE + "anyOf");
	    public static final IRI closed = factory.createIRI(NAMESPACE + "closed");
	    public static final IRI origin = factory.createIRI(ORIGIN_STRING);
	    public static final IRI accuracy = factory.createIRI(NAMESPACE + "accuracy");
	    public static final IRI prev = factory.createIRI(PREV_STRING);
	    public static final IRI preview = factory.createIRI(NAMESPACE + "preview");
	    public static final IRI provider = factory.createIRI(NAMESPACE + "provider");
	    public static final IRI replies = factory.createIRI(REPLIES_STRING);
	    public static final IRI result = factory.createIRI(RESULT_STRING);
	    public static final IRI audience = factory.createIRI(AUDIENCE_STRING);
	    public static final IRI partOf = factory.createIRI(NAMESPACE + "partOf");
	    public static final IRI tag = factory.createIRI(TAG_STRING);
	    public static final IRI target = factory.createIRI(TARGET_STRING);
	    public static final IRI to = factory.createIRI(TO_STRING);
	    public static final IRI url = factory.createIRI(URL_STRING);
	    public static final IRI altitude = factory.createIRI(NAMESPACE + "altitude");
	    public static final IRI content = factory.createIRI(CONTENT_STRING);
	    public static final IRI name = factory.createIRI(NAME_STRING);
	    public static final IRI downStreamDuplicates = factory.createIRI(NAMESPACE + "downStreamDuplicates");
	    public static final IRI duration = factory.createIRI(DURATION_STRING);
	    public static final IRI endTime = factory.createIRI(END_TIME_STIRNG);
	    public static final IRI height = factory.createIRI(NAMESPACE + "height");
	    public static final IRI href = factory.createIRI(NAMESPACE + "href");
	    public static final IRI hreflang = factory.createIRI(NAMESPACE + "hreflang");
	    public static final IRI latitude = factory.createIRI(NAMESPACE + "latitude");
	    public static final IRI longitude = factory.createIRI(NAMESPACE + "longitude");
	    public static final IRI mediaType = factory.createIRI(MEDIA_TYPE_STRING);
	    public static final IRI published = factory.createIRI(PUBLISHED_STRING);
	    public static final IRI radius = factory.createIRI(NAMESPACE + "radius");
	    public static final IRI rating = factory.createIRI(NAMESPACE + "rating");
	    public static final IRI rel = factory.createIRI(NAMESPACE + "rel");
	    public static final IRI startIndex = factory.createIRI(NAMESPACE + "startIndex");
	    public static final IRI startTime = factory.createIRI(START_TIME_STRING);
	    public static final IRI summary = factory.createIRI(SUMMARY_STRING);
	    public static final IRI totalItems = factory.createIRI(NAMESPACE + "totalItems");
	    public static final IRI units = factory.createIRI(NAMESPACE + "units");
	    public static final IRI updated = factory.createIRI(UPDATED_STRING);
	    public static final IRI upstreamDuplicates = factory.createIRI(NAMESPACE + "upstreamDuplicates");
	    public static final IRI verb = factory.createIRI(NAMESPACE + "verb");
	    public static final IRI width = factory.createIRI(NAMESPACE + "width");
	    public static final IRI describes = factory.createIRI(NAMESPACE + "describes");
	    public static final IRI formerType = factory.createIRI(NAMESPACE + "formerType");
	    public static final IRI deleted = factory.createIRI(NAMESPACE + "deleted");
	    public static final IRI outbox = factory.createIRI(NAMESPACE + "outbox");
	    public static final IRI inbox = factory.createIRI(NAMESPACE_LDP + "inbox");
	    public static final IRI following = factory.createIRI(NAMESPACE + "following");
	    public static final IRI followers = factory.createIRI(NAMESPACE + "followers");
	    public static final IRI streams = factory.createIRI(NAMESPACE + "streams");
	    public static final IRI preferredUsername = factory.createIRI(NAMESPACE + "preferredUsername");
	    public static final IRI endpoints = factory.createIRI(NAMESPACE + "endpoints");
	    public static final IRI uploadMedia = factory.createIRI(NAMESPACE + "uploadMedia");
	    public static final IRI proxyUrl = factory.createIRI(NAMESPACE + "proxyUrl");
	    public static final IRI oauthClientAuthorize = factory.createIRI(NAMESPACE + "oauthClientAuthorize");
	    public static final IRI provideClientKey = factory.createIRI(NAMESPACE + "provideClientKey");
	    public static final IRI authorizeClientKey = factory.createIRI(NAMESPACE + "authorizeClientKey");
	    public static final IRI source = factory.createIRI(NAMESPACE + "source");
}
